Package org.apache.sling.feature.extension.unpack.impl.converter

## Class Converter

- java.lang.Object
- - org.apache.sling.feature.extension.unpack.impl.converter.Converter

    public class Converter
    extends Object

### Constructor Summary

Constructors
`Converter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static List<String>` `convert​(org.apache.sling.feature.ArtifactId featureId, String extensionName, File featureFile, File repository, Predicate<InputStream> filter, List<String> urls)`
`static void` `main​(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Converter

    public Converter()

### Method Detail

#### main

    public static void main​(String[] args)
                     throws Exception

Throws:
  `Exception`

#### convert

    public static List<String> convert​(org.apache.sling.feature.ArtifactId featureId,
                                       String extensionName,
                                       File featureFile,
                                       File repository,
                                       Predicate<InputStream> filter,
                                       List<String> urls)
                                throws Exception

Throws:
  `Exception`